// rand() is not fast, or random, or the same across systems. So here is RANROT-B PRNG. 

#ifndef randrot_b_h
#define randrot_b_h 1

#ifndef INT_MAX
#include <limits.h>
#endif

static int m_lo = 0, m_hi = ~0; 
static inline void sdrand(int seed) { m_lo = seed; m_hi = ~seed; } 
static inline unsigned int uirand() { m_hi = (m_hi<<16) + (m_hi>>16); m_hi += m_lo; m_lo += m_hi; return m_hi & INT_MAX; } 
static inline          int  irand() { m_hi = (m_hi<<16) + (m_hi>>16); m_hi += m_lo; m_lo += m_hi; return m_hi; } 
static inline float ufrand(float x) { return ((x * uirand()) / (float)INT_MAX); } 
static inline float  frand(float x) { return ((x *  irand()) / (float)INT_MAX); } 

#endif
